function y = obj_sigma(sigma, Y, pars, prior, mats, dt, rlb, nobs)

res = prop_sigma(sigma, Y, pars, prior, mats, dt, rlb, nobs) ;
if ~isstruct(res)
    y = 1e20;
else
    y = -(res.llkQ + res.llkP + res.lprior) ;
%     y = -(res.llkQ + res.llkP) ;
end

end
    